* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background-image: url("image/wall.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  font-family:'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
  height: 100vh;
}

main {
  background-color: rgba(224, 248, 211, 0.85);
  position: relative;
  top: 30%;
  border: 1px solid;
  border-radius: 5px;
  min-width: 540px;
  max-width: 50%;
  margin: auto;
  padding: 2em;
}

h1 {
  margin-bottom: 20px;
}

#search {
  border-radius: 4px 0 0 4px;
  border: 1px solid #ccc;
  border: none;
  padding: 10px;
  font-size: 20px;
  width: 70%;
  height: 42px;
  outline: none;
  box-sizing: border-box;
  color: #000000;
}

#submit {
  border-radius: 0 5px 5px 0;
  padding: 10px;
  font-size: 20px;
  width: 5em;
  cursor: pointer;
  background-color: #f7f9b9;
  color: #134826;
}

#weather-wrapper {
  display: flex;
  flex-direction: column;
  place-items: center;
  justify-content: space-between;
}

#weather-search {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 60%;
}

#weather-data {
  background-color: rgba(255, 255, 255, 0.85);
  border-radius: 5px;
  padding: 1.5em;
  margin-top: 20px;

  text-align: center;
  align-items: center;
  gap: 12px;
}

#weather-data > img {
  border-radius: 50%;
  background-color: rgb(247, 243, 194);
}

#weather-wrapper h1 {
  font-size: 2rem;
  font-weight: 800;
  color: #0a2614;
  text-align: center;
  letter-spacing: 1px;
  margin-bottom: 1.5rem;
}
